import org.springframework.beans.factory.config.ConfigurableListableBeanFactory;

public class ShutdownHook implements Runnable {

    private ConfigurableListableBeanFactory factory;
    
    public ShutdownHook(ConfigurableListableBeanFactory factory) {
        this.factory = factory;
    }
    
    public void run() {
        System.out.println("Destroying Singletons");
        factory.destroySingletons();
        System.out.println("Singletons Destroyed");
    }
    
}
